Page MenuHomePhabricator

build: do not reply on header checking libinotify.h
ClosedPublic

Authored by bu5hm4n on Mar 3 2019, 7:33 AM.

Details

Summary

but rather use the sys_bsd flag. The reason why relying on the header
existance is bad, is that bsd decided to install this header, with the
essential difference, that on bsd we require to link against libinotify,
which makes the compilation fail.

ref T7710

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Mar 3 2019, 7:33 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

bu5hm4n requested review of this revision.Mar 3 2019, 7:33 AM
bu5hm4n updated this revision to Diff 19898.Mar 3 2019, 12:10 PM

half a sleep

zmike accepted this revision.Mar 7 2019, 10:26 AM
This revision is now accepted and ready to land.Mar 7 2019, 10:26 AM
Closed by commit rEFLe7618b7169b6: build: do not reply on header checking libinotify.h (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyMar 11 2019, 1:24 PM
This revision was automatically updated to reflect the committed changes.